/**
 * This defines ranges where Pacman can move, for each row and column of the game
 */

// export default [
//     [
//         [[0, 25]], // first row (bottom)
//         [[0, 0], [11, 11], [14, 14], [25, 25]],
//         [[0, 0], [11, 11], [14, 14], [25, 25]],
//         [[0, 5], [8, 11], [14, 17], [20, 25]],
//         [[2, 2], [5, 5], [8, 8], [17, 17], [20, 20], [23, 23]],
//         [[2, 2], [5, 5], [8, 8], [17, 17], [20, 20], [23, 23]],
//         [[0, 2], [5, 20], [23, 25]],
//         [[0, 0], [5, 5], [11, 11], [14, 14], [20, 20], [25, 25]],
//         [[0, 0], [5, 5], [11, 11], [14, 14], [20, 20], [25, 25]],
//         [[0, 11], [14, 25]],
//         [[5, 5], [8, 8], [17, 17], [20, 20]],
//         [[5, 5], [8, 8], [17, 17], [20, 20]],
//         [[5, 5], [8, 17], [20, 20]],
//         [[5, 5], [8, 8], [17, 17], [20, 20]],
//         [[5, 5], [8, 8], [17, 17], [20, 20]],
//         [[-1, 8, true], [17, 26, true]],
//         [[5, 5], [8, 8], [17, 17], [20, 20]],
//         [[5, 5], [8, 8], [17, 17], [20, 20]],
//         [[5, 5], [8, 17], [20, 20]],
//         [[5, 5], [11, 11], [14, 14], [20, 20]],
//         [[5, 5], [11, 11], [14, 14], [20, 20]],
//         [[0, 5], [8, 11], [14, 17], [20, 25]],
//         [[0, 0], [5, 5], [8, 8], [17, 17], [20, 20], [25, 25]],
//         [[0, 0], [5, 5], [8, 8], [17, 17], [20, 20], [25, 25]],
//         [[0, 25]],
//         [[0, 0], [5, 5], [11, 11], [14, 14], [20, 20], [25, 25]],
//         [[0, 0], [5, 5], [11, 11], [14, 14], [20, 20], [25, 25]],
//         [[0, 0], [5, 5], [11, 11], [14, 14], [20, 20], [25, 25]],
//         [[0, 11], [14, 25]]
//     ],
//     [
//         [[0, 3], [6, 9], [15, 15], [21, 28]],
//         [[0, 0], [3, 3], [6, 6], [9, 9], [15, 15], [21, 21], [24, 24], [28, 28]],
//         [[0, 0], [3, 6], [9, 9], [15, 15], [21, 21], [24, 24], [28, 28]],
//         [[0, 0], [3, 3], [9, 9], [15, 15], [21, 21], [24, 24], [28, 28]],
//         [[0, 0], [3, 3], [9, 9], [15, 15], [21, 21], [24, 24], [28, 28]],
//         [[0, 0], [3, 28]],
//         [[0, 0], [6, 6], [9, 9], [15, 15], [24, 24], [28, 28]],
//         [[0, 0], [6, 6], [9, 9], [15, 15], [24, 24], [28, 28]],
//         [[0, 0], [3, 6], [9, 18], [21, 24], [28, 28]],
//         [[0, 0], [3, 3], [6, 6], [9, 9], [12, 12], [18, 18], [21, 21], [24, 24], [28, 28]],
//         [[0, 0], [3, 3], [6, 6], [9, 9], [12, 12], [18, 18], [21, 21], [24, 24], [28, 28]],
//         [[0, 3], [6, 9], [12, 12], [18, 21], [24, 28]],
//         [[0, 0], [6, 6], [12, 12], [18, 18], [24, 24]],
//         [[0, 0], [6, 6], [12, 12], [18, 18], [24, 24]],
//         [[0, 3], [6, 9], [12, 12], [18, 21], [24, 28]],
//         [[0, 0], [3, 3], [6, 6], [9, 9], [12, 12], [18, 18], [21, 21], [24, 24], [28, 28]],
//         [[0, 0], [3, 3], [6, 6], [9, 9], [12, 12], [18, 18], [21, 21], [24, 24], [28, 28]],
//         [[0, 0], [3, 6], [9, 18], [21, 24], [28, 28]],
//         [[0, 0], [6, 6], [9, 9], [15, 15], [24, 24], [28, 28]],
//         [[0, 0], [6, 6], [9, 9], [15, 15], [24, 24], [28, 28]],
//         [[0, 0], [3, 28]],
//         [[0, 0], [3, 3], [9, 9], [15, 15], [21, 21], [24, 24], [28, 28]],
//         [[0, 0], [3, 3], [9, 9], [15, 15], [21, 21], [24, 24], [28, 28]],
//         [[0, 0], [3, 6], [9, 9], [15, 15], [21, 21], [24, 24], [28, 28]],
//         [[0, 0], [3, 3], [6, 6], [9, 9], [15, 15], [21, 21], [24, 24], [28, 28]],
//         [[0, 3], [6, 9], [15, 15], [21, 28]]
//     ]
// ];

// array 1 แนวแกน x
// array 2 แนวแกน y
const origin = [
    [
        [[0, 25]], // first row (bottom)
        [[0, 0], [11, 11], [14, 14], [25, 25]],
        [[0, 0], [11, 11], [14, 14], [25, 25]],
        [[0, 5], [8, 11], [14, 17], [20, 25]], // แถว 4 จากล่าง
        [[2, 2], [5, 5], [8, 8], [17, 17], [20, 20], [23, 23]],
        [[2, 2], [5, 5], [8, 8], [17, 17], [20, 20], [23, 23]],
        [[0, 2], [5, 20], [23, 25]], // start แถว 7 จากล่าง
        [[0, 0], [5, 5], [11, 11], [14, 14], [20, 20], [25, 25]],
        [[0, 0], [5, 5], [11, 11], [14, 14], [20, 20], [25, 25]],
        [[0, 11], [14, 25]],
        [[5, 5], [8, 8], [17, 17], [20, 20]],
        [[5, 5], [8, 8], [17, 17], [20, 20]],
        [[5, 5], [8, 17], [20, 20]],
        [[5, 5], [8, 8], [17, 17], [20, 20]],
        [[5, 5], [8, 8], [17, 17], [20, 20]],
        [[-1, 8, true], [17, 26, true]],
        [[5, 5], [8, 8], [17, 17], [20, 20]],
        [[5, 5], [8, 8], [17, 17], [20, 20]],
        [[5, 5], [8, 17], [20, 20]],
        [[5, 5], [11, 11], [14, 14], [20, 20]],
        [[5, 5], [11, 11], [14, 14], [20, 20]],
        [[0, 5], [8, 11], [14, 17], [20, 25]],
        [[0, 0], [5, 5], [8, 8], [17, 17], [20, 20], [25, 25]],
        [[0, 0], [5, 5], [8, 8], [17, 17], [20, 20], [25, 25]],
        [[0, 25]],
        [[0, 0], [5, 5], [11, 11], [14, 14], [20, 20], [25, 25]],
        [[0, 0], [5, 5], [11, 11], [14, 14], [20, 20], [25, 25]],
        [[0, 0], [5, 5], [11, 11], [14, 14], [20, 20], [25, 25]],
        [[0, 11], [14, 25]]
    ],
    [
        [[0, 3], [6, 9], [15, 15], [21, 28]], // แนวตั้ง - ซ้ายสุด
        [[0, 0], [3, 3], [6, 6], [9, 9], [15, 15], [21, 21], [24, 24], [28, 28]],
        [[0, 0], [3, 6], [9, 9], [15, 15], [21, 21], [24, 24], [28, 28]], // แถว 3 ซ้าย
        [[0, 0], [3, 3], [9, 9], [15, 15], [21, 21], [24, 24], [28, 28]],
        [[0, 0], [3, 3], [9, 9], [15, 15], [21, 21], [24, 24], [28, 28]],
        [[0, 0], [3, 28]],
        [[0, 0], [6, 6], [9, 9], [15, 15], [24, 24], [28, 28]],
        [[0, 0], [6, 6], [9, 9], [15, 15], [24, 24], [28, 28]],
        [[0, 0], [3, 6], [9, 18], [21, 24], [28, 28]],
        [[0, 0], [3, 3], [6, 6], [9, 9], [12, 12], [18, 18], [21, 21], [24, 24], [28, 28]],
        [[0, 0], [3, 3], [6, 6], [9, 9], [12, 12], [18, 18], [21, 21], [24, 24], [28, 28]],
        [[0, 3], [6, 9], [12, 12], [18, 21], [24, 28]],
        [[0, 0], [6, 6], [12, 12], [18, 18], [24, 24]],
        [[0, 0], [6, 6], [12, 12], [18, 18], [24, 24]],
        [[0, 3], [6, 9], [12, 12], [18, 21], [24, 28]],
        [[0, 0], [3, 3], [6, 6], [9, 9], [12, 12], [18, 18], [21, 21], [24, 24], [28, 28]],
        [[0, 0], [3, 3], [6, 6], [9, 9], [12, 12], [18, 18], [21, 21], [24, 24], [28, 28]],
        [[0, 0], [3, 6], [9, 18], [21, 24], [28, 28]],
        [[0, 0], [6, 6], [9, 9], [15, 15], [24, 24], [28, 28]],
        [[0, 0], [6, 6], [9, 9], [15, 15], [24, 24], [28, 28]],
        [[0, 0], [3, 28]],
        [[0, 0], [3, 3], [9, 9], [15, 15], [21, 21], [24, 24], [28, 28]],
        [[0, 0], [3, 3], [9, 9], [15, 15], [21, 21], [24, 24], [28, 28]],
        [[0, 0], [3, 6], [9, 9], [15, 15], [21, 21], [24, 24], [28, 28]],
        [[0, 0], [3, 3], [6, 6], [9, 9], [15, 15], [21, 21], [24, 24], [28, 28]],
        [[0, 3], [6, 9], [15, 15], [21, 28]] // แนวตั้ง - ขวาสุด
    ]
];

const edit = [
    [
        [[0, 25]], // first row (bottom) แถวแรกนับจากล่างสุด
        [[0, 25]],
        [[0, 25]],
        [[0, 25]],
        [[0, 25]],
        [[0, 25]],
        [[0, 25]], // start
        [[0, 25]],
        [[0, 25]],
        [[0, 25]],
        [[0, 25]],
        [[0, 25]],
        [[0, 25]],
        [[0, 25]],
        [[0, 25]],
        [[0, 25]],
        [[0, 25]],
        [[0, 25]],
        [[0, 25]],
        [[0, 25]],
        [[0, 25]],
        [[0, 25]],
        [[0, 25]],
        [[0, 25]],
        [[0, 25]],
        [[0, 25]],
        [[0, 25]],
        [[0, 25]] // แถวแรกนับจากบนสุด
    ],
    [
        [[0, 28]],
        [[0, 28]],
        [[0, 28]],
        [[0, 28]],
        [[0, 28]],
        [[0, 28]],
        [[0, 28]],
        [[0, 28]],
        [[0, 28]],
        [[0, 28]],
        [[0, 28]],
        [[0, 28]],
        [[0, 28]],
        [[0, 28]],
        [[0, 28]],
        [[0, 28]],
        [[0, 28]],
        [[0, 28]],
        [[0, 28]],
        [[0, 28]],
        [[0, 28]],
        [[0, 28]],
        [[0, 28]],
        [[0, 28]],
        [[0, 3], [6, 9], [15, 15], [21, 28]] // แนวตั้ง - ขวาสุด
    ]
];

// export default edit;

export default origin;
